<?xml version="1.0" encoding="UTF-8"?>
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" xmlns:scilab="http://www.scilab.org" xml:lang="en" xml:id="modbus_close">
  <refnamediv>
    <refname>modbus_close</refname>
    <refpurpose>Close a Modbus connection (TCP or RTU)</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>modbus_close(mbc)</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Arguments</title>
    <variablelist>
      <varlistentry>
        <term>mbc</term>
        <listitem>
          <para>the opened modbus connection</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>Close the Modbus connection referenced by <literal>mbc</literal></para>
  </refsection>

  <refsection>
    <title>Examples</title>
    <programlisting role="example"><![CDATA[
    mbc = modbus_newTcp("127.0.0.1", 502);
    modbus_close(mbc)
    ]]></programlisting>
  </refsection>

  <refsection role="see also">
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="modbus_newTcp">modbus_newTcp</link>
      </member>
    </simplelist>
  </refsection>
</refentry>